var sid = getQueryStringRegExp('SpecID');
$(document).ready(function(){
	$("#btnAddFile").click(function(){
		AddSepcValue("");
	});
	$("#btnSubmit").click(function(){
		if($('#txtSpecName').val().Trim() == ''){alert('属性名称必须填写');return false;};		
		var flag=true;
		$("#spec_body").children().each(function(i){
			var sv=$(this).children().children("input[@name^=sv]").val().Trim();
			if(sv==""){
				alert("预设值不能为空！");
				flag=false;
			}else if(sv.indexOf(",")!=-1){
				alert("预设置不能含有,");
				$(this).children().children("input[@name^=sv]").val("");
				flag=false;
			}else{
				$(this).children().children("input[@name^=sv]").attr("name","sv"+i);
			};	
		});
		if(!flag){return false;}else{$("<input type='hidden' id='spec_num' name='spec_num'/>").val($("#spec_body").children().length).appendTo($("#spec"));};
	});
	if(sid != ''){
		$.ajax({
			type:"get",
			dataType:"json",
			url:'Specs.aspx?type=ajax&Action=GetSpecValue&sid='+sid+ '&NoCopyRight=1',
			cache:false,
			success:function(data){
				$.each(data,function(i,n){
					AddSepcValue(n.value);
				});
            },//end success
            error:function(){alert('error');}
        });//end ajax
   }else{	
		AddSepcValue("");
   }
});

function AddSepcValue(sv)
{
	var tempTr=null;
	tempTr=$("<tr><td><input type='text' value='"+sv+"' name='sv' class='specvalue'/></td></tr>").appendTo($("#spec_body"));
	var tempControl = $("<td></td>").appendTo(tempTr);
	$("<span class='del'>X</span>").addClass("hand").appendTo(tempControl).click(function(){
		$(this).parent().parent().remove();
	});
}